> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/swe/api-dokumentation/ladda-upp-filer-med-geopard-api.md).

# Ladda upp filer med GeoPard API

{% hint style="success" %}
Det rekommenderade tillvägagångssättet för filer över 6 MB är [flödet med förhandsignerad URL](/geopard-tutorials/swe/api-dokumentation/oversikt-over-geopard-api-anrop/55.-ladda-upp-zip-filer-over-6-mb.md).
{% endhint %}

GeoPard API gör det möjligt att ladda upp zip-arkiv med datauppsättningar för jord/skörd/givna insatser/gränser för vidare bearbetning och analys.

{% hint style="danger" %}
På grund av en begränsning i AWS är den maximala filstorlek du kan ladda upp via detta REST-endpoint 6 MB.
{% endhint %}

Stegen för uppladdning av filer över 6 MB beskrivs i [Ladda upp zip-filer (över 6 MB)](/geopard-tutorials/swe/api-dokumentation/oversikt-over-geopard-api-anrop/55.-ladda-upp-zip-filer-over-6-mb.md).

Direkt efter att jord-/skörd-/givna insatser-datauppsättningen har laddats upp länkar GeoPard-motorn den till de tillhörande fälten som finns inom den definierade gården.

Direkt efter att gränsen har laddats upp initierar GeoPard-motorn sin bearbetning.

Svaret innehåller en `<uuid>` som du kan använda för att spåra bearbetningsstatus.

#### Exempel på begäran:

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST 'https://api.geopard.tech/upload?fileType=<type>&farmUuid=<farm_uuid>' \\
--header 'Authorization: <token>' \\
--header 'Content-Type: application/zip' \\
--data-binary '@path/to/file.zip'
```

{% endcode %}

Parametrarna är:

1. `<type>` - typen av den uppladdade datauppsättningen. Den måste vara en `skörd` ELLER `jord` ELLER `givna insatser` ELLER `gräns`.
2. `<farm_uuid>` - `uuid` för gården där filen kommer att laddas upp (valfritt).
3. `<token>` - GeoPard åtkomsttoken.
4. `@path/to/file.zip` - sökvägen till filen som laddas upp.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/swe/api-dokumentation/ladda-upp-filer-med-geopard-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
